Package org.apache.lucene.codecs.uniformsplit

# Class BlockHeader.Serializer

java.lang.Object
org.apache.lucene.codecs.uniformsplit.BlockHeader.Serializer

Enclosing class:
  `BlockHeader`

public static class BlockHeader.Serializer extends Object
Reads/writes block header.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Serializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BlockHeader`
  `read(DataInput input, BlockHeader reuse)`
  `void`
  `write(DataOutput output, BlockHeader blockHeader)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Serializer

    public Serializer()

- ## Method Details

  - ### write

    public void write(DataOutput output, BlockHeader blockHeader) throws IOException
    Throws:
      `IOException`

  - ### read

    public BlockHeader read(DataInput input, BlockHeader reuse) throws IOException
    Throws:
      `IOException`